Package org.apache.commons.io.function

# Interface IOBiConsumer<T,U>

Type Parameters:
  `T` - the type of the first argument to the operation
  `U` - the type of the second argument to the operation

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IOBiConsumer<T,U>
Like `BiConsumer` but throws `IOException`.

Since:
  2.12.0
See Also:
  - `BiConsumer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(T t, U u)`
  Performs this operation on the given arguments.
  `default IOBiConsumer<T,U>`
  `andThen(IOBiConsumer<? super T,? super U> after)`
  Creates a composed `IOBiConsumer` that performs, in sequence, this operation followed by the `after` operation.
  `default BiConsumer<T,U>`
  `asBiConsumer()`
  Creates a `BiConsumer` for this instance that throws `UncheckedIOException` instead of `IOException`.
  `static <T, U> IOBiConsumer<T,U>`
  `noop()`
  Returns the no-op singleton.

- ## Method Details

  - ### noop

    static <T, U> IOBiConsumer<T,U> noop()
    Returns the no-op singleton.
    Type Parameters:
      `T` - the type of the first argument to the operation
      `U` - the type of the second argument to the operation
    Returns:
      The no-op singleton.

  - ### accept

    void accept(T t, U u) throws IOException
    Performs this operation on the given arguments.
    Parameters:
      `t` - the first input argument
      `u` - the second input argument
    Throws:
      `IOException` - if an I/O error occurs.

  - ### andThen

    default IOBiConsumer<T,U> andThen(IOBiConsumer<? super T,? super U> after)
    Creates a composed `IOBiConsumer` that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the `after` operation will not be performed.
    Parameters:
      `after` - the operation to perform after this operation
    Returns:
      a composed `IOBiConsumer` that performs in sequence this operation followed by the `after` operation
    Throws:
      `NullPointerException` - if `after` is null

  - ### asBiConsumer

    default BiConsumer<T,U> asBiConsumer()
    Creates a `BiConsumer` for this instance that throws `UncheckedIOException` instead of `IOException`.
    Returns:
      an UncheckedIOException BiConsumer.
    Throws:
      `UncheckedIOException` - Wraps an `IOException`.
    Since:
      2.12.0